# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.resourceresolver.impl.helper.StarResource
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_RESOURCE_TYPE`
`"sling:syntheticStarResource"`
org.apache.sling.resourceresolver.impl.helper.URI.DefaultCharsetChanged
Modifier and Type
Constant Field
Value
`public static final int`
`DOCUMENT_CHARSET`
`2`
`public static final int`
`PROTOCOL_CHARSET`
`1`
`public static final int`
`UNKNOWN`
`0`
org.apache.sling.resourceresolver.impl.helper.URIException
Modifier and Type
Constant Field
Value
`public static final int`
`ESCAPING`
`3`
`public static final int`
`PARSING`
`1`
`public static final int`
`PUNYCODE`
`4`
`public static final int`
`UNKNOWN`
`0`
`public static final int`
`UNSUPPORTED_ENCODING`
`2`

org.apache.sling.resourceresolver.impl.legacy.LegacyResourceProviderWhiteboard
Modifier and Type
Constant Field
Value
`public static final String`
`ORIGINAL_SERVICE_PID`
`"original.service.pid"`

org.apache.sling.resourceresolver.impl.mapping.Interpolator
Modifier and Type
Constant Field
Value
`public static final char`
`DIRECTIVES_SEPARATOR`
`';'`
`public static final char`
`DIRECTIVES_VALUE_SEPARATOR`
`'='`
`public static final char`
`END`
`']'`
`public static final char`
`ESCAPE`
`'\\'`
`public static final char`
`NAME_SEPARATOR`
`':'`
`public static final String`
`START`
`"$["`
org.apache.sling.resourceresolver.impl.mapping.MapEntries
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_DEFAULT_VANITY_PATH_REDIRECT_STATUS`
`302`
`public static final String`
`DEFAULT_MAP_ROOT`
`"/etc/map"`
`public static final String`
`PROP_REDIRECT_EXTERNAL`
`"sling:redirect"`
`public static final String`
`PROP_REDIRECT_EXTERNAL_STATUS`
`"sling:status"`
org.apache.sling.resourceresolver.impl.mapping.Mapping
Modifier and Type
Constant Field
Value
`public static final int`
`BOTH`
`3`
`public static final int`
`INBOUND`
`1`
`public static final int`
`OUTBOUND`
`2`
org.apache.sling.resourceresolver.impl.mapping.VanityPathHandler
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_REDIRECT_EXTERNAL`
`"sling:redirect"`
`public static final String`
`PROP_REDIRECT_EXTERNAL_REDIRECT_STATUS`
`"sling:redirectStatus"`
`public static final String`
`PROP_VANITY_ORDER`
`"sling:vanityOrder"`
`public static final String`
`PROP_VANITY_PATH`
`"sling:vanityPath"`